#
# spec file for package libibcm
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild


Name:           libibcm
Summary:        Userspace Infiniband Connection Management API
Version:        1.0.5
Release:        0.8.9
License:        GPL v2 or later
Group:          System/Libraries
Source0:        %{name}-%{version}.tar.bz2
Url:            http://www.openfabrics.org
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  libibverbs-devel
ExcludeArch:    s390 s390x

%description
Along with the OpenIB kernel drivers, libibcm provides a userspace
InfiniBand Connection Managment API.



Authors:
--------
    http://openib.org

%package devel
License:        GPL v2 or later
Group:          System/Libraries
Summary:        Development files for the libibcm library
Requires:       %{name} = %{version} libibverbs-devel

%description devel
Development files for the libibcm library.



Authors:
--------
    http://openib.org

%prep
%setup -q

%build
%configure
make

%install
make DESTDIR=$RPM_BUILD_ROOT install

%clean
rm -rf ${RPM_BUILD_ROOT}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%_libdir/libibcm.so.*

%files devel
%defattr(-,root,root)
%_includedir/infiniband/cm.h
%_includedir/infiniband/cm_abi.h
%_libdir/libibcm.a
%_libdir/libibcm.la
%_libdir/libibcm.so

%changelog
* Mon Feb 14 2011 pth@suse.de
- Add ExcludeArch for s390 and s390x.
* Mon May 24 2010 jjolly@novell.com
- Updated to v1.0.5 from OFED 1.5.1
- Removed autogen from %%prep in specfile
* Sat Jul 11 2009 jjolly@suse.de
- Updated to v1.0.4 from OFED 1.4.1 release
* Thu Oct 16 2008 jjolly@suse.de
- Updated to version from OFED 1.3.1 release
* Fri Feb 29 2008 jjolly@suse.de
- Updated to 1.0.2 from OFED 1.3 GA Release
* Tue Jan 29 2008 jjolly@suse.de
- Updated to 1.0.1 from OFED 1.3 rc2
* Wed Jun 20 2007 hvogel@suse.de
- Initial Package, Version 1.0
